Bug 510634 - update support for ext4 in anaconda
update support for ext4 in anaconda
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
5.4
All Linux
high Severity high
: rc
: ---
Assigned To: Joel Andres Granados
Martin Banas
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-09 18:51 EDT by Jeff Bastian
Modified: 2011-01-24 19:04 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:53:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix support for ext4 (1.65 KB, patch)
2009-07-09 20:04 EDT, Jeff Bastian
no flags Details | Diff

  None (edit)
Description Jeff Bastian 2009-07-09 18:51:06 EDT
Description of problem:
RHEL 5.4 is updating ext4 support to the stable release; see bug 485315.  As a result, the kernel module is no longer named ext4dev.ko, it's just ext4.ko.  However, anaconda is still looking for ext4dev.ko.

If you boot with the 'ext4' command line option, when you get to the partitioning screen, the list of filesystems does not include ext4.

The /tmp/anaconda.log also indicates this with:
22:37:33 DEBUG   : module(s) md raid5 raid6 jbd2 crc16 ext4dev reiserfs jfs not found


Version-Release number of selected component (if applicable):
anaconda-11.1.2.185-1

How reproducible:
every time

Steps to Reproduce:
1. start install with ext4 command line option
2. look for ext4 in partitioning screens
  
Actual results:
no ext4

Expected results:
ext4 is available as a filesystem

Additional info:
Comment 1 Jeff Bastian 2009-07-09 18:54:36 EDT
I believe the fix is as simple as:

diff --git a/scripts/mk-images b/scripts/mk-images
index 48ba567..e6f1c05 100755
--- a/scripts/mk-images
+++ b/scripts/mk-images
@@ -42,7 +42,7 @@ USBMODS="ohci-hcd uhci-hcd ehci-hcd hid mousedev usb-storage sd_mod sr_mod ub"
 FIREWIREMODS="ieee1394 ohci1394 sbp2"
 IDEMODS="ide-cd ide-cs"
 SCSIMODS="sr_mod sg st sd_mod scsi_mod iscsi_tcp iscsi_ibft"
-FSMODS="fat msdos vfat ext3 ext4dev reiserfs jfs xfs gfs2 lock_nolock"
+FSMODS="fat msdos vfat ext3 ext4 reiserfs jfs xfs gfs2 lock_nolock"
 LVMMODS="dm-mod dm-zero dm-snapshot dm-mirror dm-multipath dm-round-robin dm-emc dm-crypt"
 RAIDMODS="md raid0 raid1 raid10 raid5 raid6 raid456 dm-raid45 dm-mem-cache dm-region_hash dm-message"
 SECSTAGE="$RAIDMODS $LVMMODS $FSMODS $IDEMODS $SCSIMODS"
Comment 2 Jeff Bastian 2009-07-09 20:04:50 EDT
Created attachment 351196 [details]
patch to fix support for ext4

The fix was slightly more complex than my original thought in comment 1.  Attached is a patch that also modifies loader2/loader.c

I tested it by building a custom initrd.img for RHEL 5.4 20090708.0 Xen x86_64 with:
1. the sbin/loader and sbin/init from the patched anaconda
2. the kernel modules ext4.ko, jbd2.ko, and crc16.ko from 2.6.18-157.el5xen x86_64
3. adding the following line to modules/modules.dep
     ext4: jbd2 crc16


With the above changes, Anaconda actually listed both ext4 and ext4dev.  I chose ext4 for the / partition and the installation succeeded.

ext4dev can probably be removed now.
Comment 4 RHEL Product and Program Management 2009-07-10 11:03:39 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 Joel Andres Granados 2009-07-13 17:11:17 EDT
This will be available in anaconda-11.1.2.187-1.
Comment 10 Alexander Todorov 2009-07-20 05:45:38 EDT
With snap #3 and ext4 parameter I'm able to complete the install. However anaconda UI shows ext4 and ext4dev as available file systems. Shouldn't ext4dev be removed? What's the difference between both?
Comment 11 Brock Organ 2009-07-20 15:27:04 EDT
Good point, Alexander, I'm seeing the same thing (both ext4 and ext4dev options) in the filesystem choice drop down interface ... (using s390x with snap #3) ...
Comment 12 Denise Dumas 2009-07-20 15:34:05 EDT
Joel has a patch in review to get rid of the rest of ext4dev - next snap
Comment 14 Martin Banas 2009-07-23 08:31:05 EDT
Verified on build RHEL5.4-Server-20090722.0, snapshot 4.

anaconda version: anaconda-11.1.2.190-1

Changing Bug to VERIFIED.
Comment 15 Issue Tracker 2009-07-31 15:02:53 EDT
Event posted on 07-31-2009 02:35pm EDT by Glen Johnson

------- Comment From tdietter@us.ibm.com 2009-07-31 14:11 EDT-------
I am trying an install with snap4 using ext4 as the /boot fs.  I'm
getting a pop-up
window saying:

The following errors exist with your requested partitioning scheme.

Bootable partitions cannot be on an ext4 filesystem.

These errors must be corrected prior to continuing with your install of
Red Hat Enterprise Linux Server.

Is it true that ext4 is not supported for the /boot fs?  If so, where can
I find the
documentation to state exactly what is supported and what changes to
expect for
the ext4 filesystem?

Using ext4 as / and other filesystems seem to work fine.

Ticket type changed from 'Problem' to ''

This event sent from IssueTracker by jkachuck 
 issue 316140
Comment 16 Alexander Todorov 2009-08-03 04:16:21 EDT
(In reply to comment #15)
> 
> Is it true that ext4 is not supported for the /boot fs?  

Yes, grub can't read ext4 at present.
Comment 18 errata-xmlrpc 2009-09-02 05:53:20 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1306.html

Note You need to log in before you can comment on or make changes to this bug.